IntelliCAD 11.1 Object Library | |
AddRay Method | |
See Also |
- Point1
- A Point object representing the starting point of the ray.
- Point2
- A Point object representing the second point of the ray.
PaperSpace Collection : AddRay Method |
Description
Adds a ray passing through two points.
Syntax
Parameters
- Point1
- A Point object representing the starting point of the ray.
- Point2
- A Point object representing the second point of the ray.
Example
Private Sub AddRayExample()
' This example creates a ray and adds it to the drawing using the AddRay
' method.
Dim myDoc As IntelliCAD.Document
Dim myRay As IntelliCAD.Ray
Dim myStartPt As IntelliCAD.Point
Dim myEndPt As IntelliCAD.Point
Set myDoc = ActiveDocument
Set myStartPt = Library.CreatePoint(3, 3)
Set myEndPt = Library.CreatePoint(7, 4)
Set myRay = myDoc.ModelSpace.AddRay(myStartPt, myEndPt)
myRay.Update
ThisDocument.Application.ZoomExtents
End Sub